summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Chris Abela <chris.abela@maltats.com>2010-04-19 18:55:27 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-15 10:38:31 +0200
commit7cc9f93402b5ffdf8ba33b08e9815f8082995b89 (patch)
tree974fa5d8e905f9b37383b3c123c5190b58ac3ed9 /network
parent86ec380ce500ade963f703d088ac4b67611542a7 (diff)
downloadslackbuilds-7cc9f93402b5ffdf8ba33b08e9815f8082995b89.tar.gz
slackbuilds-7cc9f93402b5ffdf8ba33b08e9815f8082995b89.tar.xz
network/etherape: Added (A graphical network monitor)
Diffstat (limited to 'network')
-rw-r--r--network/etherape/README17
-rw-r--r--network/etherape/doinst.sh3
-rw-r--r--network/etherape/etherape.SlackBuild103
-rw-r--r--network/etherape/etherape.info10
-rw-r--r--network/etherape/slack-desc20
5 files changed, 153 insertions, 0 deletions
diff --git a/network/etherape/README b/network/etherape/README
new file mode 100644
index 0000000000..7b31d21730
--- /dev/null
+++ b/network/etherape/README
@@ -0,0 +1,17 @@
+EtherApe is a graphical network monitor modeled after etherman. Featuring
+Ethernet, IP, TCP, FDDI and Token Ring modes, it displays network activity
+graphically. Hosts and links change in size with traffic. Color coded protocols
+display.
+
+It supports Ethernet, FDDI, Token Ring, ISDN, PPP and SLIP devices. It can
+filter traffic to be shown, and can read traffic from a file as well as live
+from the network.
+
+To set the kdesu su wrapper when called from the GUI desktop pass KDESU=yes to
+the SlackBuild. This is not the default option, but if not enabled etherape
+will not monitor the ports if not called by root.
+
+EtherApe requires libgnomeui. It is available from slackbuilds.org.
+
+Scrollkeeper is disabled by this SlackBuild. If you want to enable it, the
+comments in the SlackBuild can be helpful.
diff --git a/network/etherape/doinst.sh b/network/etherape/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/etherape/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/etherape/etherape.SlackBuild b/network/etherape/etherape.SlackBuild
new file mode 100644
index 0000000000..2032ec83e5
--- /dev/null
+++ b/network/etherape/etherape.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for etherape
+# Chris Abela 2010.03.23
+
+PRGNAM=etherape
+VERSION=${VERSION:-0.9.9}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+KDESU=${KDESU:-no}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# scrollkeeper is disabled.
+# If you want it enabled, remove the --disable-scrollkeeper
+#
+# then Install rarian before running this script.
+# rarian is available from slackbuilds.org.
+#
+# Then you will need to:
+# cd /usr
+# ln -s doc/rarian-0.8.1/librarian share/librarian
+#
+# Then run this script
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --disable-scrollkeeper
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ABOUT-NLS AUTHORS COPYING ChangeLog FAQ INSTALL NEWS OVERVIEW \
+ README README.bugs README.help README.thanks TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+# IMO, this might have some security issues, use with care!
+if [ "$KDESU" = yes ] ;then
+ sed -i 's/Exec=etherape/Exec=kdesu etherape/' \
+ usr/share/applications/etherape.desktop
+fi
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/etherape/etherape.info b/network/etherape/etherape.info
new file mode 100644
index 0000000000..82b7950ca2
--- /dev/null
+++ b/network/etherape/etherape.info
@@ -0,0 +1,10 @@
+PRGNAM="etherape"
+VERSION="0.9.9"
+HOMEPAGE="http://etherape.sourceforge.net/"
+DOWNLOAD="http://heanet.dl.sourceforge.net/project/etherape/etherape/0.9.9/etherape-0.9.9.tar.gz"
+MD5SUM="5ac4d386284fe8ed31860656cdfefb45"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Chris Abela"
+EMAIL="chris.abela@maltats.com"
+APPROVED="dsomero"
diff --git a/network/etherape/slack-desc b/network/etherape/slack-desc
new file mode 100644
index 0000000000..3368693783
--- /dev/null
+++ b/network/etherape/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+etherape: EtherApe (A graphical network monitor)
+etherape:
+etherape: EtherApe is a graphical network monitor for Unix modeled after
+etherape: etherman. Featuring link layer, ip and TCP modes, it displays network
+etherape: activity graphically. Hosts and links change in size with traffic.
+etherape: Color coded protocols display.
+etherape: It supports Ethernet, FDDI, Token Ring ISDN, PPP and SLIP devices.
+etherape: It can filter traffic to be shown,and can read traffic from a file as
+etherape: well as live from the network.
+etherape:
+etherape: Homepage: http://etherape.sourceforge.net/
+